qstat (2.18-1) unstable; urgency=medium

  * New upstream release.
  * Rewrite watch file using minimal v5 github template.
  * Update upstream URL to new GitHub project address.
  * Update copyright years.
  * Update Standards-Version to 4.7.4, with no changes needed.
  * Drop ftbfs_gcc15 patch, fixed upstream.
  * Drop now redundant Priority and Rules-Requires-Root control fields.

 -- Jordi Mallach <jordi@debian.org>  Fri, 24 Apr 2026 00:12:10 +0200

qstat (2.17-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Fix day-of-week for changelog entry 2.0b-1.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.

  [ Jordi Mallach ]
  * Apply patch from Gentoo to fix build with GCC 15 (closes: #1097713).
  * Update copyright years.
  * Update Github URLs for the new Unity-Technologies organization.
  * Update Standards-Version to 4.7.2.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Sep 2025 08:31:44 +0200

qstat (2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Jan 2022 23:32:01 +0100

qstat (2.16-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and drop obsolete ones.
  * Include pkg-info.mk and use DEB_VERSION_UPSTREAM to export
    QSTAT_VERSION.
  * Update Standards-Version to 4.6.0, with no changes.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 Sep 2021 02:09:56 +0200

qstat (2.15-6) unstable; urgency=medium

  * Backport patch from git to fix FTBFS with GCC-10 (closes: #957726).
  * Bump debhelper-compat to v13.
  * Update Standards-Version to 4.5.1, with no changes needed.
  * Update watch file to version 4.
  * Add some upstream metadata.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Nov 2020 13:57:55 +0100

qstat (2.15-5) unstable; urgency=medium

  * Update Vcs-* fields after moving to Debian salsa.
  * Switch to debhelper v12 and use debhelper-compat B-D.
  * Set Rules-Requires-Root to no.
  * Use https for the Format field of copyright file.
  * Update Standards-Version to 4.4.1.
  * Add gbp.conf and set pristine-tar to True.
  * Drop *.lst from list of example files.

 -- Jordi Mallach <jordi@debian.org>  Fri, 08 Nov 2019 19:43:16 +0100

qstat (2.15-4) unstable; urgency=medium

  * Update Vcs-* fields to reflect the switch from SVN to Git.
  * Bump debhelper compat to v10, and remove dh-autoreconf and autotools-dev
    from Build-Depends.
  * Drop the autoreconf and autotools_dev dh sequences.
  * Call dh_auto_install instead of $(MAKE) install.
  * Update Standards-Version 3.9.8.
  * Drop obsolete Breaks.
  * Enable all hardening options.
  * Add fix_teeworld_server_query.patch from upstream git: as name says
    (closes: #774728).
  * Update watch file for Github releases.

 -- Jordi Mallach <jordi@debian.org>  Sat, 14 Jan 2017 09:40:43 +0100

qstat (2.15-3) unstable; urgency=medium

  * Add path_max.patch: Fix build on the Hurd by avoiding the usage of
    PATH_MAX definitions. Many thanks to Svante Signel (closes: #814237).

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Feb 2016 13:44:28 +0100

qstat (2.15-2) unstable; urgency=medium

  * Fix FTBFS with gcc-5 by importing upstream patch (Closes: #790275)
  * Use autoreconf in addition of autotools, to regenerate build system and not
    stick on older autoreconf versions
  * Update upstream author and homepage
  * Update https url for Vcs-Browser

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 08 Feb 2016 11:21:01 +0100

qstat (2.15-1) unstable; urgency=low

  * Add Guillaume Delacour to Uploaders.
  * New upstream release (closes: #675838).
  * Refresh all patches.
  * Update to debhelper v9.
  * Fix passing of --with to dh.
  * Replace Conflicts with Breaks.
  * Exclude README.txt from examples.
  * Update Vcs URLs.
  * Rewrite copyright in machine-readable format 1.0.
  * Bump Standards-Version to 3.9.6.

 -- Jordi Mallach <jordi@debian.org>  Mon, 20 Oct 2014 00:01:19 +0200

qstat (2.11-3) unstable; urgency=low

  * Pass --with autotools_dev to dh for automatic config.{guess,sub}
    updating.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Jun 2010 13:55:43 +0200

qstat (2.11-2) unstable; urgency=low

  * Move qstat to collab-maint's SVN. Add corresponding Vcs fields.
  * Move to debhelper 7.
  * Rewrite rules using dh. Adjust Build-Depends accordingly.
  * Add a Homepage field.
  * Switch to source package format 3.0 (quilt).
  * Stop using CDBS' simple-patchsys.
  * Delete uneeded debian/dirs file.
  * Remove duplicate Priority and Section fields.
  * Update Standards-Version from 3.6.1 to 3.8.4 (no changes needed).
  * Build-Depend on autotools-dev, with the hope that dh will
    automagically refresh the very outdated helper files.
  * Add a watch file.
  * Add a doc-base file for qstatdoc.html, to appease lintian.
  * Add overrides for "package-section-games-but-contains-no-game":
    while qstat is useful for gamers, it's not a game itself.
  * Pass --enable-dump to configure.
  * Add spelling_fixes.patch with corrections to a few spelling errors
    spotted by lintian.
  * Add version_string.patch, which adds a --version option to print
    Qstat version (as used by help2man).
  * Add help_output.patch to fix some style and formatting issues with
    qstat's help output.
  * Add manpage for qstat (initially generated by help2man), 7 years later
    (closes: #222511).

 -- Jordi Mallach <jordi@debian.org>  Mon, 07 Jun 2010 01:10:10 +0200

qstat (2.11-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sat,  4 Nov 2006 19:20:50 +0100

qstat (2.10-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Oct 2005 18:39:06 +0200

qstat (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sat,  9 Apr 2005 16:27:25 +0200

qstat (2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: qstat now uses autotools. Adapt cdbs accordingly.
  * debian/examples: adjust not to include automake stuff.
  * debian/docs: add a few .txt files.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Dec 2004 14:32:18 +0100

qstat (2.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00_cvs_HEAD.patch: removed.

 -- Jordi Mallach <jordi@debian.org>  Sun, 15 Aug 2004 15:17:03 +0200

qstat (2.5c-3) unstable; urgency=low

  * debian/patches/00_cvs_HEAD.patch: update to current CVS as of 20040605.
    Thanks to Ludwig Nussel for providing a snapshot. No thanks to
    SourceForge's broken anonymous CVS access.
  * debian/changelog: fix bad release target in -2 (closes: #249133).

 -- Jordi Mallach <jordi@debian.org>  Mon,  7 Jun 2004 14:13:21 +0200

qstat (2.5c-2) unstable; urgency=low

  * qstat.cfg: drop the UT2S config, it's not needed in 2.5c.
  * debian/changelog:
    + fix typo in previous entry.
    + remove obsolete local emacs variables.
  * debian/control:
    + build-depend on cdbs, bump required debhelper to >= 4.1.0.
    + slightly improve the description.
    + bump Standards-Version to 3.6.1.0 (no changes required)
  * debian/compat: set debhelper compatibility version (4) here.
  * debian/rules:
    + rewrite using cdbs.
  * debian/patches/00_cvs_HEAD.patch: update to current CVS to pick up
    changes needed by several new games supported by XQF.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Nov 2003 15:02:01 +0100

qstat (2.5c-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version: 2.5.7.1.
  * debian/copyright: Qstat is under the Artistic license since 2.5a. Update
    accordingly.
  * debian/rules:
    + set SYSCONFDIR correctly (thanks, Ian Hastie; closes: #168392).
    + add support for "noopt" DEB_BUILD_OPTIONS, drop "debug".
  * qstat.cfg: add UT2S configuration from Ian. If anyone wants to see some
    other config not included already, please file a bug and I'll add it.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Nov 2002 01:11:42 +0100

qstat (2.5b-1) unstable; urgency=low

  * New upstream release.
  * Applied patch from Ludwig Nussel to fix q3 and tribes2 broadcasts.
  * debian/control: Build-Depend: on debhelper >= 4.0.0.
  * debian/dirs:
    + added /etc.
    + removed /usr/games, /usr/share/man/man6,
      readded /usr/bin, /usr/share/man/man1.
  * debian/docs: removed qstat.txt.
  * debian/examples: added contrib.cfg.
  * debian/rules:
    + DH_COMPAT=4.
    + define sysconfdir in CFLAGS.
    + install quakestat back in /usr/bin, after talking to some users.
      qstat is really an admin tool, not a game.
    + removed dh_make cruft.

 -- Jordi Mallach <jordi@debian.org>  Mon, 12 Aug 2002 22:08:22 +0200

qstat (2.4e-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri,  5 Oct 2001 04:29:52 +0200

qstat (2.4d-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version: 3.5.6.0 (no changes).

 -- Jordi Mallach <jordi@debian.org>  Thu,  9 Aug 2001 04:08:52 +0200

qstat (2.4c-1) unstable; urgency=low

  * New Maintainer. Thanks Michael!
  * New upstream release (closes: #94589).
  * The tarball isn't pristine, I removed ms-dos .exe crap from it.
  * debian/control:
    + added Build-Depends (debhelper 3)
    + Standards-Version: 3.5.5.5
  * debian/copyright: updated download URL.
  * debian/dirs: changed binary dir.
  * debian/rules:
    + new; based it on dh-make
    + moved the binary and manpage to /usr/games and section 6
    + support for DEB_BUILD_OPTIONS `debug' and `strip'

 -- Jordi Mallach <jordi@debian.org>  Fri,  8 Jun 2001 17:27:00 +0200

qstat (2.4a-1) frozen unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@mallet-assembly.org>  Wed, 10 Jan 2001 16:37:31 -0500

qstat (2.3g-1) frozen unstable; urgency=low

  * Ben Collins took it upon himself to upgraded the two bugs relating
    to a unnecessary postinst prompt to important.  Whaveter.
    (closes: bug#58099, bug#58912)
  * New upstream non-beta release.  Figured I might as well get the
    non-beta in since I've been forced to do an upload anyway.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  1 Mar 2000 14:39:51 -0500

qstat (2.3f-1) frozen unstable; urgency=low

  * New upstream version, needed for new version of xqf which was removed
    from potato because of a bug reporting it as out of date.
  * Change the postinst to try and work around a bug I couldn't reproduce
    (closes: bug#56532)

 -- Michael Alan Dorman <mdorman@debian.org>  Thu,  3 Feb 2000 23:20:05 -0500

qstat (2.3e-1) unstable frozen; urgency=low

  * New upstream version.  Fixes many bugs with Q3A
  * Updated description (closes: bug#54179)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 10 Jan 2000 13:41:51 -0500

qstat (2.3d-1) unstable; urgency=low

  * First update in a long time.

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  4 Jan 2000 20:58:04 -0500

qstat (2.2b-1) unstable; urgency=low

  * New upstream version.  Many thanks to Roderick for dealing with this
  package for quite some time.
  * Maintainer release (closes: bug#26570)
  * This package has nothing to do with dqs (closes: bug#31126)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 11 Apr 1999 16:05:45 -0400

qstat (2.1z-2.1a-0.1) unstable; urgency=low

  * Another NMU of a new upstream release.  The version I'd done the
    previous NMU of was actually out of date, the 2.1a release is newer
    than the 2.1z I'd packaged.  I'm using this odd version number
    because the upstream author implied he won't use odd numbering in
    the future, and so I don't want to saddle the real maintainer with
    an epoch.
  * The qstat binary is renamed to quakestat, due to the conflict with the
    POSIX queueing system.

 -- Roderick Schertler <roderick@argon.org>  Wed, 14 Oct 1998 19:57:53 -0400

qstat (2.1z-0.2) unstable; urgency=low

  * Conflict with dqs, which also contains a binary called qstat.  The
    name of the qstat binary in dqs is mandated by POSIX, I'll contact the
    upstream qstat author about possibly renaming this package.

 -- Roderick Schertler <roderick@argon.org>  Mon, 12 Oct 1998 10:24:30 -0400

qstat (2.1z-0.1) unstable; urgency=low

  * NMU of new upstream release.
  * Don't compress copyright.
  * Call the upstream changelog changelog, not changelog.upstream.
  * Call the Debian changelog changelog.Debian, not changelog.debian.
  * Add section and priority to control file, pass -isp to
    dpkg-gencontrol.
  * Update standards version to 2.4.1.4 (no changes).
  * Remove substvars in clean target.

 -- Roderick Schertler <roderick@argon.org>  Thu,  8 Oct 1998 00:08:37 -0400

qstat (2.0b-1) unstable; urgency=low

  * Initial Debianization.

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 30 Jan 1988 12:27:41 -0500

Local variables:
user-mail-address: "mdorman@debian.org"
End:
